ArduinoOutStream Class Reference

Output stream for Arduino Print objects. More...

`#include <ArduinoStream.h>`

Inheritance diagram for ArduinoOutStream:
[legend]
Collaboration diagram for ArduinoOutStream:
[legend]

## Public Types

typedef unsigned int | fmtflags
typedef unsigned char | iostate
typedef int32_t | off_type
typedef uint8_t | openmode
typedef uint32_t | pos_type
enum | seekdir { beg, cur, end }
typedef uint32_t | streamsize

## Public Member Functions

| ArduinoOutStream (Print &pr)
bool | bad () const
void | clear (iostate state=goodbit)
bool | eof () const
bool | fail () const
char | fill ()
char | fill (char c)
fmtflags | flags () const
fmtflags | flags (fmtflags fl)
ostream & | flush ()
bool | good () const
| operator const void * () const
bool | operator! () const
ostream & | operator<< (ostream &(*pf)(ostream &str))
ostream & | operator<< (ios_base &(*pf)(ios_base &str))
ostream & | operator<< (bool arg)
ostream & | operator<< (const char *arg)
ostream & | operator<< (const signed char *arg)
ostream & | operator<< (const unsigned char *arg)
ostream & | operator<< (char arg)
ostream & | operator<< (signed char arg)
ostream & | operator<< (unsigned char arg)
ostream & | operator<< (double arg)
ostream & | operator<< (float arg)
ostream & | operator<< (short arg)
ostream & | operator<< (unsigned short arg)
ostream & | operator<< (int arg)
ostream & | operator<< (unsigned int arg)
ostream & | operator<< (long arg)
ostream & | operator<< (unsigned long arg)
ostream & | operator<< (const void *arg)
ostream & | operator<< (const __FlashStringHelper *arg)
int | precision () const
int | precision (unsigned int n)
ostream & | put (char ch)
iostate | rdstate () const
ostream & | seekp (pos_type pos)
ostream & | seekp (off_type off, seekdir way)
fmtflags | setf (fmtflags fl)
fmtflags | setf (fmtflags fl, fmtflags mask)
void | setstate (iostate state)
pos_type | tellp ()
void | unsetf (fmtflags fl)
unsigned | width ()
unsigned | width (unsigned n)

## Static Public Attributes

static const fmtflags | adjustfield = left | right | internal
static const openmode | app = 0X4
static const openmode | ate = 0X8
static const iostate | badbit = 0X01
static const fmtflags | basefield = dec | hex | oct
static const openmode | binary = 0X10
static const fmtflags | boolalpha = 0x0100
static const fmtflags | dec = 0x0008
static const iostate | eofbit = 0x02
static const iostate | failbit = 0X04
static const iostate | goodbit = 0x00
static const fmtflags | hex = 0x0010
static const openmode | in = 0X20
static const fmtflags | internal = 0x0004
static const fmtflags | left = 0x0001
static const fmtflags | oct = 0x0020
static const openmode | out = 0X40
static const fmtflags | right = 0x0002
static const fmtflags | showbase = 0x0200
static const fmtflags | showpoint = 0x0400
static const fmtflags | showpos = 0x0800
static const fmtflags | skipws = 0x1000
static const openmode | trunc = 0X80
static const fmtflags | uppercase = 0x4000

## Detailed Description

Output stream for Arduino Print objects.

## Member Typedef Documentation

## fmtflags

typedef unsigned int ios_base::fmtflags

inherited

type for format flags

## iostate

typedef unsigned char ios_base::iostate

inherited

typedef for iostate bitmask

## off_type

typedef int32_t ios_base::off_type

inherited

type for relative seek offset

## openmode

typedef uint8_t ios_base::openmode

inherited

typedef for iostream open mode

## pos_type

typedef uint32_t ios_base::pos_type

inherited

type for absolute seek position

## streamsize

typedef uint32_t ios_base::streamsize

inherited

unsigned size that can represent maximum file size. (violates spec - should be signed)

## Member Enumeration Documentation

## seekdir

enum ios_base::seekdir

inherited

enumerated type for the direction of relative seeks

Enumerator
beg | seek relative to the beginning of the stream
cur | seek relative to the current stream position
end | seek relative to the end of the stream

## Constructor & Destructor Documentation

## ArduinoOutStream()

ArduinoOutStream::ArduinoOutStream | ( | Print & | pr | ) |

inline explicit

constructor

Parameters

  [in] | pr | Print object for this ArduinoOutStream.

## Member Function Documentation

## bad()

bool ios::bad | ( |  | ) | const

inline inherited

Returns
  true if bad bit is set else false.

## clear()

void ios::clear | ( | iostate | state = `goodbit` | ) |

inline inherited

Clear iostate bits.

Parameters

  [in] | state | The flags you want to set after clearing all flags.

## eof()

bool ios::eof | ( |  | ) | const

inline inherited

Returns
  true if end of file has been reached else false.

Warning: An empty file returns false before the first read.

Moral: eof() is only useful in combination with fail(), to find out whether EOF was the cause for failure

## fail()

bool ios::fail | ( |  | ) | const

inline inherited

Returns
  true if any iostate bit other than eof are set else false.

## fill() [1/2]

char ios_base::fill | ( |  | ) |

inline inherited

Returns
  fill character

## fill() [2/2]

char ios_base::fill | ( | char | c | ) |

inline inherited

Set fill character

Parameters

  [in] | c | new fill character

Returns
  old fill character

## flags() [1/2]

fmtflags ios_base::flags | ( |  | ) | const

inline inherited

Returns
  format flags

## flags() [2/2]

fmtflags ios_base::flags | ( | fmtflags | fl | ) |

inline inherited

set format flags

Parameters

  [in] | fl | new flag

Returns
  old flags

## flush()

ostream& ostream::flush | ( |  | ) |

inline inherited

Flushes the buffer associated with this stream. The flush function calls the sync function of the associated file.

Returns
  A reference to the ostream object.

## good()

bool ios::good | ( |  | ) | const

inline inherited

Returns
  True if no iostate flags are set else false.

## operator const void *()

ios::operator const void * | ( |  | ) | const

inline inherited

Returns
  null pointer if fail() is true.

## operator!()

bool ios::operator! | ( |  | ) | const

inline inherited

Returns
  true if fail() else false.

## operator<<() [1/19]

ostream& ostream::operator<< | ( | ostream &(*)(ostream &str) | pf | ) |

inline inherited

call manipulator

Parameters

  [in] | pf | function to call

Returns
  the stream

## operator<<() [2/19]

ostream& ostream::operator<< | ( | ios_base &(*)(ios_base &str) | pf | ) |

inline inherited

call manipulator

Parameters

  [in] | pf | function to call

Returns
  the stream

## operator<<() [3/19]

ostream& ostream::operator<< | ( | bool | arg | ) |

inline inherited

Output bool

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [4/19]

ostream& ostream::operator<< | ( | const char * | arg | ) |

inline inherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## operator<<() [5/19]

ostream& ostream::operator<< | ( | const signed char * | arg | ) |

inline inherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## operator<<() [6/19]

ostream& ostream::operator<< | ( | const unsigned char * | arg | ) |

inline inherited

Output string

Parameters

  [in] | arg | string to output

Returns
  the stream

## operator<<() [7/19]

ostream& ostream::operator<< | ( | char | arg | ) |

inline inherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## operator<<() [8/19]

ostream& ostream::operator<< | ( | signed char | arg | ) |

inline inherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## operator<<() [9/19]

ostream& ostream::operator<< | ( | unsigned char | arg | ) |

inline inherited

Output character

Parameters

  [in] | arg | character to output

Returns
  the stream

## operator<<() [10/19]

ostream& ostream::operator<< | ( | double | arg | ) |

inline inherited

Output double

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [11/19]

ostream& ostream::operator<< | ( | float | arg | ) |

inline inherited

Output float

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [12/19]

ostream& ostream::operator<< | ( | short | arg | ) |

inline inherited

Output signed short

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [13/19]

ostream& ostream::operator<< | ( | unsigned short | arg | ) |

inline inherited

Output unsigned short

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [14/19]

ostream& ostream::operator<< | ( | int | arg | ) |

inline inherited

Output signed int

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [15/19]

ostream& ostream::operator<< | ( | unsigned int | arg | ) |

inline inherited

Output unsigned int

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [16/19]

ostream& ostream::operator<< | ( | long | arg | ) |

inline inherited

Output signed long

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [17/19]

ostream& ostream::operator<< | ( | unsigned long | arg | ) |

inline inherited

Output unsigned long

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [18/19]

ostream& ostream::operator<< | ( | const void * | arg | ) |

inline inherited

Output pointer

Parameters

  [in] | arg | value to output

Returns
  the stream

## operator<<() [19/19]

ostream& ostream::operator<< | ( | const __FlashStringHelper * | arg | ) |

inline inherited

Output a string from flash using the Arduino F() macro.

Parameters

  [in] | arg | pointing to flash string

Returns
  the stream

## precision() [1/2]

int ios_base::precision | ( |  | ) | const

inline inherited

Returns
  precision

## precision() [2/2]

int ios_base::precision | ( | unsigned int | n | ) |

inline inherited

set precision

Parameters

  [in] | n | new precision

Returns
  old precision

## put()

ostream& ostream::put | ( | char | ch | ) |

inline inherited

Puts a character in a stream.

The unformatted output function inserts the element ch. It returns *this.

Parameters

  [in] | ch | The character

Returns
  A reference to the ostream object.

## rdstate()

iostate ios::rdstate | ( |  | ) | const

inline inherited

Returns
  The iostate flags for this file.

## seekp() [1/2]

ostream& ostream::seekp | ( | pos_type | pos | ) |

inline inherited

Set the stream position

Parameters

  [in] | pos | The absolute position in which to move the write pointer.

Returns
  Is always *this. Failure is indicated by the state of *this.

## seekp() [2/2]

ostream& ostream::seekp | ( | off_type | off,
|  | seekdir | way
| ) |  |

inline inherited

Set the stream position.

Parameters

  [in] | off | An offset to move the write pointer relative to way. off is a signed 32-bit int so the offset is limited to +- 2GB.
  [in] | way | One of ios::beg, ios::cur, or ios::end.

Returns
  Is always *this. Failure is indicated by the state of *this.

## setf() [1/2]

fmtflags ios_base::setf | ( | fmtflags | fl | ) |

inline inherited

set format flags

Parameters

  [in] | fl | new flags to be or'ed in

Returns
  old flags

## setf() [2/2]

fmtflags ios_base::setf | ( | fmtflags | fl,
|  | fmtflags | mask
| ) |  |

inline inherited

modify format flags

Parameters

  [in] | mask | flags to be removed
  [in] | fl | flags to be set after mask bits have been cleared

Returns
  old flags

## setstate()

void ios::setstate | ( | iostate | state | ) |

inline inherited

Set iostate bits.

Parameters

  [in] | state | Bitts to set.

## tellp()

pos_type ostream::tellp | ( |  | ) |

inline inherited

Returns
  the stream position

## unsetf()

void ios_base::unsetf | ( | fmtflags | fl | ) |

inline inherited

clear format flags

Parameters

  [in] | fl | flags to be cleared

Returns
  old flags

## width() [1/2]

unsigned ios_base::width | ( |  | ) |

inline inherited

Returns
  width

## width() [2/2]

unsigned ios_base::width | ( | unsigned | n | ) |

inline inherited

set width

Parameters

  [in] | n | new width

Returns
  old width

## Member Data Documentation

## adjustfield

const fmtflags ios_base::adjustfield = left | right | internal

static inherited

mask for adjustfield

## app

const openmode ios_base::app = 0X4

static inherited

seek to end before each write

## ate

const openmode ios_base::ate = 0X8

static inherited

open and seek to end immediately after opening

## badbit

const iostate ios_base::badbit = 0X01

static inherited

iostate bad bit for a nonrecoverable error.

## basefield

const fmtflags ios_base::basefield = dec | hex | oct

static inherited

mask for basefield

## binary

const openmode ios_base::binary = 0X10

static inherited

perform input and output in binary mode (as opposed to text mode)

## boolalpha

const fmtflags ios_base::boolalpha = 0x0100

static inherited

use strings true/false for bool

## dec

const fmtflags ios_base::dec = 0x0008

static inherited

base 10 flag

## eofbit

const iostate ios_base::eofbit = 0x02

static inherited

iostate bit for end of file reached

## failbit

const iostate ios_base::failbit = 0X04

static inherited

iostate fail bit for nonfatal error

## goodbit

const iostate ios_base::goodbit = 0x00

static inherited

iostate for no flags

## hex

const fmtflags ios_base::hex = 0x0010

static inherited

base 16 flag

## in

const openmode ios_base::in = 0X20

static inherited

open for input

## internal

const fmtflags ios_base::internal = 0x0004

static inherited

fill between sign/base prefix and number

## left

const fmtflags ios_base::left = 0x0001

static inherited

left adjust fields

## oct

const fmtflags ios_base::oct = 0x0020

static inherited

base 8 flag

## out

const openmode ios_base::out = 0X40

static inherited

open for output

## right

const fmtflags ios_base::right = 0x0002

static inherited

right adjust fields

## showbase

const fmtflags ios_base::showbase = 0x0200

static inherited

use prefix 0X for hex and 0 for oct

## showpoint

const fmtflags ios_base::showpoint = 0x0400

static inherited

always show '.' for floating numbers

## showpos

const fmtflags ios_base::showpos = 0x0800

static inherited

show + sign for nonnegative numbers

## skipws

const fmtflags ios_base::skipws = 0x1000

static inherited

skip initial white space

## trunc

const openmode ios_base::trunc = 0X80

static inherited

truncate an existing stream when opening

## uppercase

const fmtflags ios_base::uppercase = 0x4000

static inherited

use uppercase letters in number representations

The documentation for this class was generated from the following file:

- Arduino/libraries/SdFat/src/FatLib/ArduinoStream.h